---
- entityDefinitions:
  - IDR_Select_from_Instance_Set_Method__returns__Work_Set: '{e7805b49-0eb3-46ea-bc8a-a5ed676a7726}'
  - IDR_Work_Set__returned_by__Select_from_Instance_Set_Method: '{df12608a-e157-4a1b-bae2-0224a18f5b94}'
  - IDR_Select_from_Instance_Set_Method__uses__Executable_returning_Instance_Set: '{a907f814-b996-4294-b347-ca16ccaf1f5b}'
  - IDR_Executable_returning_Instance_Set__used_by__Select_from_Instance_Set_Method: '{a3ec06f9-54e8-4279-a31d-d221f8697a6a}'
  - IDR_Select_from_Instance_Set_Method__uses__Set_Function: '{abda76ae-a969-40e3-aed2-1a20fcec8b31}'
  - IDR_Set_Function__used_by__Select_from_Instance_Set_Method: '{753f9f4f-3fe3-470a-890d-d799c24e47af}'
  - IDR_Select_from_Instance_Set_Method__uses__Selection_Function: '{6498e72e-f321-4be2-acfd-dfd6f916ce54}'
  - IDR_Selection_Function__used_by__Select_from_Instance_Set_Method: '{e5e6a392-a436-41f7-bc80-cb6603503be1}'
  - IDR_Select_from_Instance_Set_Method__uses_function__Executable_returning_Attribute: '{30905c53-0d64-4332-9023-12a03e60cd09}'
  - IDR_Executable_returning_Attribute__function_used_by__Select_from_Instance_Set_Method: '{79adb5ea-0257-445b-9f7c-e5f8508a59a2}'
  - IDR_Select_from_Instance_Set_Method__uses_order__Executable_returning_Attribute: '{c7a5ef47-fce3-4e7c-87b8-f5cab93b1b10}'
  - IDR_Executable_returning_Attribute__order_used_by__Select_from_Instance_Set_Method: '{48c984ea-f4da-4090-bdd0-fd659b9be13d}'
  - IDR_Select_from_Instance_Set_Method__uses_subset_index__Executable_returning_Attribute: '{b5ef8d8b-683a-4cb9-9e6c-bc470324f4e3}'
  - IDR_Executable_returning_Attribute__as_subset_index_for__Select_from_Instance_Set_Method: '{7d03574f-db28-4aff-a96c-8013832b8269}'
  - IDR_Select_from_Instance_Set_Method__uses_comparator__Executable_returning_Work_Data: '{974c6e8b-b04f-4e3c-8719-298052afa9c7}'
  - IDR_Executable_returning_Work_Data__comparator_for__Select_from_Instance_Set_Method: '{c877ea85-ee9f-4e22-bae7-4a0d7b9272e1}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_SelectFromInstanceSetMethod;'
    name:      SS - Select from Instance Set Method
    index:     19
    customTagName: selectFromInstanceSetMethod
    # instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_SS;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningInstanceSet;'
    # defaultTask: '&IDI_Task_SelectFromInstanceSetMethod_View;'
    # relatedTasks:
    # - instance: '&IDI_Task_SelectFromInstanceSetMethod_View;'
    # - instance: '&IDI_Task_SelectFromInstanceSetMethod_Edit;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Select_from_Instance_Set_Method__returns__Work_Set;'
      customTagName: 'returnsWorkSetId'
    - instance: '&IDR_Select_from_Instance_Set_Method__uses__Executable_returning_Instance_Set;'
      customTagName: 'loopOnInstanceSetId'
    - instance: '&IDR_Select_from_Instance_Set_Method__uses__Set_Function;'
      customTagName: 'setFunctionId'
    - instance: '&IDR_Select_from_Instance_Set_Method__uses__Selection_Function;'
      customTagName: 'selectionFunctionId'
    - instance: '&IDR_Select_from_Instance_Set_Method__uses_function__Executable_returning_Attribute;'
      customTagName: 'functionAttribute'
    - instance: '&IDR_Select_from_Instance_Set_Method__uses_order__Executable_returning_Attribute;'
      customTagName: 'orderAttribute'
    - instance: '&IDR_Select_from_Instance_Set_Method__uses_subset_index__Executable_returning_Attribute;'
      customTagName: 'subsetIndexAttribute'
    - instance: '&IDR_Select_from_Instance_Set_Method__uses_comparator__Executable_returning_Work_Data;'
      customTagName: 'comparatorWorkData'

  - relationship: '&IDR_Select_from_Instance_Set_Method__returns__Work_Set;'
    index: 30
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'returns'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__returned_by__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Work_Set__returned_by__Select_from_Instance_Set_Method;'
    index: 31
    sourceClassId: '&IDC_WorkSet;'
    type: 'returned by'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__returns__Work_Set;'
    singular: no

  - relationship: '&IDR_Select_from_Instance_Set_Method__uses__Executable_returning_Instance_Set;'
    index: 42
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'uses'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__used_by__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__used_by__Select_from_Instance_Set_Method;'
    index: 49
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'used by'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__uses__Executable_returning_Instance_Set;'
    singular: no

  - relationship: '&IDR_Select_from_Instance_Set_Method__uses__Set_Function;'
    index: 68
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'uses'
    destinationClassId: '&IDC_SetFunction;'
    siblingRelationshipId: '&IDR_Set_Function__used_by__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Set_Function__used_by__Select_from_Instance_Set_Method;'
    index: 69
    sourceClassId: '&IDC_SetFunction;'
    type: 'used by'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__uses__Set_Function;'
    singular: no

  - relationship: '&IDR_Select_from_Instance_Set_Method__uses__Selection_Function;'
    index: 83
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'uses'
    destinationClassId: '&IDC_SelectionFunction;'
    siblingRelationshipId: '&IDR_Selection_Function__used_by__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Selection_Function__used_by__Select_from_Instance_Set_Method;'
    index: 84
    sourceClassId: '&IDC_SelectionFunction;'
    type: 'used by'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__uses__Selection_Function;'
    singular: no

  - relationship: '&IDR_Select_from_Instance_Set_Method__uses_function__Executable_returning_Attribute;'
    index: 85
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'uses function'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__function_used_by__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__function_used_by__Select_from_Instance_Set_Method;'
    index: 86
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'function used by'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__uses_function__Executable_returning_Attribute;'
    singular: no

  - relationship: '&IDR_Select_from_Instance_Set_Method__uses_order__Executable_returning_Attribute;'
    index: 391
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'uses order'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__order_used_by__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__order_used_by__Select_from_Instance_Set_Method;'
    index: 392
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'order used by'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__uses_order__Executable_returning_Attribute;'
    singular: no


  - relationship: '&IDR_Select_from_Instance_Set_Method__uses_subset_index__Executable_returning_Attribute;'
    index: 5422
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'uses subset index'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__as_subset_index_for__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__as_subset_index_for__Select_from_Instance_Set_Method;'
    index: 5423
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'as subset index for'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__uses_subset_index__Executable_returning_Attribute;'
    singular: no


  - relationship: '&IDR_Select_from_Instance_Set_Method__uses_comparator__Executable_returning_Work_Data;'
    index: 5472
    sourceClassId: '&IDC_SelectFromInstanceSetMethod;'
    type: 'uses comparator'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__comparator_for__Select_from_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Work_Data__comparator_for__Select_from_Instance_Set_Method;'
    index: 5473
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'comaprator for'
    destinationClassId: '&IDC_SelectFromInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Select_from_Instance_Set_Method__uses_comparator__Executable_returning_Work_Data;'
    singular: no
